Page MenuHome

Builds following b74cc23dc478 produce errors - Linux
Closed, InvalidPublic

Description

System Information
Operating system: Linux-5.4.0-7634-generic-x86_64-with-debian-bullseye-sid 64 Bits
Graphics card: GTX 1050Ti 440.82

Blender Version
Broken: 2.90.0 rBb74cc23dc478
Worked: 2.90.0 rBfc672ce8e24e

Short description of error:
Building Blender with the patch rBb74cc23dc478 or newer causes errors to occur during the build process.

The error it spits out is:

/home/Alaska/Documents/blender-git/blender/source/blender/blenfont/intern/blf_glyph.c: In function ‘blf_glyph_add’:
/home/Alaska/Documents/blender-git/blender/source/blender/blenfont/intern/blf_glyph.c:319:54: error: conversion from ‘FT_Pos’ {aka ‘const long int’} to ‘float’ may change value [-Werror=conversion]
       font->face->glyph->advance.x += (int) (extra_x * 1.05f);
                                                      ^

Event Timeline

Ray molenkamp (LazyDodo) closed this task as Invalid.Jun 6 2020, 2:04 AM

As mentioned in the bug report form

What not to report here
For feature requests, feedback, questions or issues building Blender, see communication channels.

that being said, @Harley Acheson (harley) should commit a fix any second